package cn.bunny.service.controller;

import cn.bunny.entity.user.User;
import cn.bunny.pojo.result.Result;
import cn.bunny.service.service.UserService;
import cn.bunny.vo.page.PageResult;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author order
 * @since 2024-07-28
 */
@Tag(name = "用户表")
@RestController
@RequestMapping("/api/user")
public class UserController {
    @Autowired
    private UserService userService;

    @Operation(summary = "查询所有用户", description = "查询所有用户")
    @GetMapping("/{page}/{limit}")
    public Result<PageResult<User>> queryPage(@PathVariable Integer page, @PathVariable Integer limit) {
        Page<User> parParams = new Page<>(page, limit);
        PageResult<User> vo = userService.queryPage(parParams);
        return Result.success(vo);
    }

    @Operation(summary = "添加用户", description = "添加用户")
    @PostMapping("addUser")
    public Result<User> addUser(@RequestBody User user) {
        userService.addUser(user);
        return Result.success();
    }
}
