package cn.bunny.service.service.impl;

import cn.bunny.entity.order.Order;
import cn.bunny.service.mapper.OrderMapper;
import cn.bunny.service.service.OrderService;
import cn.bunny.vo.page.PageResult;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author order
 * @since 2024-07-29
 */
@Service
public class OrderServiceImpl extends ServiceImpl<OrderMapper, Order> implements OrderService {

    /**
     * * 分页查询订单
     *
     * @param pageParams 分页参数
     * @return 返回分页结果
     */
    @Override
    public PageResult<Order> queryPage(Page<Order> pageParams) {
        Page<Order> page = page(pageParams);

        return PageResult.<Order>builder()
                .pageNo((int) page.getCurrent())
                .pageSize((int) page.getSize())
                .total(page.getTotal())
                .list(page.getRecords())
                .build();
    }
}
