package cn.bunny.service.service.impl;

import cn.bunny.entity.user.User;
import cn.bunny.service.mapper.UserMapper;
import cn.bunny.service.service.UserService;
import cn.bunny.vo.page.PageResult;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author order
 * @since 2024-07-28
 */
@Service
public class UserServiceImpl extends ServiceImpl<UserMapper, User> implements UserService {

    /**
     * * 查询所有用户
     *
     * @param parParams 分页参数
     * @return 分页结果
     */
    @Override
    public PageResult<User> queryPage(Page<User> parParams) {
        Page<User> page = page(parParams);
        return PageResult.<User>builder()
                .pageNo((int) page.getCurrent())
                .pageSize((int) page.getSize())
                .total(page.getTotal())
                .list(page.getRecords())
                .build();
    }

    /**
     * * 添加用户
     *
     * @param user 添加用户
     */
    @Override
    public void addUser(User user) {
        save(user);
    }
}
