package cn.bunny.service.service.impl;

import cn.bunny.entity.user.User;
import cn.bunny.service.mapper.UserMapper;
import jakarta.transaction.Transactional;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.List;

@SpringBootTest
class UserServiceImplTest {
    @Autowired
    private UserMapper userMapper;

    // 添加用户
    @Test
    void addUser() {
        User user = new User();
        user.setUname("啊啊啊");
        userMapper.insert(user);
    }

    // 事务使用
    @Test
    @Transactional
    void addTransactional() {
        // 插入时会回滚，在测试状态下加上事务都会回滚
        User user = new User();
        user.setUname("哈哈哈");
        userMapper.insert(user);
    }

    // 查询测试
    @Test
    void selectUseList() {
        List<User> users = userMapper.selectList(null);
        users.forEach(System.out::println);
    }

    // 负载均衡测试
    @Test
    void selectUserAllLoadBalancers() {
        List<User> userList1 = userMapper.selectList(null);
        System.out.println(userList1);
        List<User> userList2 = userMapper.selectList(null);
        System.out.println(userList2);
        List<User> userList3 = userMapper.selectList(null);
        System.out.println(userList3);
        List<User> userList4 = userMapper.selectList(null);
        System.out.println(userList3);
    }
}